### Function

# Hex BufferNewFunc

#### Declaration

    HexBuffer*
    (* HexBufferNewFunc) (
      GFile* file
    )

#### Description

Specifies the type of function which the `_new` method of a `HexBuffer` interface implementation must comply with.

This function is not directly available to language bindings.

#### Parameters

`file`

  Type: `GFile`

  `GFile` to pass to the function.

  The data is owned by the caller of the function.

#### Return value

Type: `HexBuffer`

A pointer to a valid implementaion of a `HexBuffer` interface, pre-cast as the `HexBuffer` type.

The data is owned by the called function.